Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class PropertyHolderBuilder

    java.lang.Object
      org.hibernate.cfg.PropertyHolderBuilder

    public final class PropertyHolderBuilder

extends Object

This factory is here ot build a PropertyHolder and prevent .mapping interface adding

Author:
  Emmanuel Bernard

Method Summary
`static PropertyHolder` | `buildPropertyHolder(org.hibernate.mapping.Collection collection, String path, XClass clazzToProcess, XProperty property, ExtendedMappings mappings)` buid a property holder on top of a collection
`static PropertyHolder` | `buildPropertyHolder(org.hibernate.mapping.Component component, String path, PropertyData inferredData, PropertyHolder parent, ExtendedMappings mappings)` build a component property holder
`static PropertyHolder` | `buildPropertyHolder(org.hibernate.mapping.PersistentClass persistentClass, Map<String,org.hibernate.mapping.Join> joins, ExtendedMappings mappings)` must only be used on second level phases ( has to be settled already)
`static PropertyHolder` | `buildPropertyHolder(XClass clazzToProcess, org.hibernate.mapping.PersistentClass persistentClass, EntityBinder entityBinder, ExtendedMappings mappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(XClass clazzToProcess,
                                                     org.hibernate.mapping.PersistentClass persistentClass,
                                                     EntityBinder entityBinder,
                                                     ExtendedMappings mappings)

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(org.hibernate.mapping.Component component,
                                                     String path,
                                                     PropertyData inferredData,
                                                     PropertyHolder parent,
                                                     ExtendedMappings mappings)

  build a component property holder

  Parameters:
    `component` - component to wrap
    `path` - component path
    `mappings` -
  Returns:
    PropertyHolder

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(org.hibernate.mapping.Collection collection,
                                                     String path,
                                                     XClass clazzToProcess,
                                                     XProperty property,
                                                     ExtendedMappings mappings)

  buid a property holder on top of a collection

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(org.hibernate.mapping.PersistentClass persistentClass,
                                                     Map<String,org.hibernate.mapping.Join> joins,
                                                     ExtendedMappings mappings)

  must only be used on second level phases ( has to be settled already)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD